Bug 244947 - Review Request: perl-Business-CreditCard - Validate/generate credit card checksums/names
Review Request: perl-Business-CreditCard - Validate/generate credit card chec...
Status: CLOSED DUPLICATE of bug 452601
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 20:13 EDT by David Fetter
Modified: 2008-06-23 23:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:44:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpanspec output without generated license code per request. (1.37 KB, text/x-rpm-spec)
2007-09-06 12:15 EDT, David Fetter
no flags Details

  None (edit)
Description David Fetter 2007-06-19 20:13:49 EDT
Spec URL: http://fetter.org/rpm/perl-Business-CreditCard.spec
SRPM URL: http://fetter.org/rpm/perl-Business-CreditCard-0.30-1.fc7.src.rpm
Description: This package has methods which tell you whether a credit card number is self-consistent -- whether the last digit of the number is a valid checksum for the preceding digits.
Comment 1 David Fetter 2007-06-19 20:14:47 EDT
This is my first package, and I need a sponsor :)
Comment 2 Devrim GUNDUZ 2007-06-20 13:54:02 EDT
I will review this, but this bug should block FE-NEEDSPONSOR.
Comment 3 Devrim GUNDUZ 2007-06-20 15:02:54 EDT
      - MUST: OK, the package is named according to the Package Naming Guidelines.
      - MUST: OK: The package must meet the Packaging Guidelines.
      - MUST: OK, the spec file name matches the base package %{name}, in the
format %{name}.spec
      - MUST: OK, license issue (see must fixes)
      - MUST: OK, tarball does not include license file.
      - MUST: OK, the spec file is written in American English.
      - MUST: OK, the spec file for the package is legible.
      - MUST: OK, source file matches the upstream source: 
2d532583fbd58561f7f46f914cdf4510  Business-CreditCard-0.30.tar.gz
      - MUST: OK, package compiles successfully.
      - MUST: OK, there is no locale file in tarball
      - MUST: OK, no shared library and no ldconfig 
      - MUST: OK, package is not relocatable.
      - MUST: OK, owns all directories.
      - MUST: OK, does not contain any duplicate files.
      - MUST: OK, permissions are correct.
      - MUST: OK, has %clean
      - MUST: OK, permissions are correct. 
      - MUST: OK, no need for a seperate doc package.
      - MUST: OK, no need for -devel and -static packages.
      - MUST: OK, no .pc files.
      - MUST: OK, no libtool archives.
      - MUST: OK, not a gui app.
      - MUST: OK, package has rm -rf $RPM_BUILD_ROOT at the beginning of %install.
      - MUST: OK, filenames are valid UTF-8

      - MUST: NOT CHECKED (Package must compile in mock)

Should fixes:
       - SHOULD: Remove all whitespaces and use tabs (not necesarry, though.

Must fixes:
      - MUST: FIX: rpmlint throws error about wrong license, you need to fix it.
      -	MUST: FIX: You must define a macro for Business-CreditCard, and call
that macro inside the package.
	
Comment 4 David Fetter 2007-06-20 15:25:15 EDT
Release 2 passes rpmlint without warnings.
Comment 6 Devrim GUNDUZ 2007-06-20 15:53:13 EDT
Must fixes that I wrote in comment #3
      - MUST: OK: rpmlint throws error about wrong license, you need to fix it.
      -	MUST: OK: You must define a macro for Business-CreditCard, and call
that macro inside the package.

Seems ok for me, another eye may want to look at this package.
Comment 7 Jason Tibbitts 2007-07-29 01:49:00 EDT
Hmm, this package creates license files which are not in the original package. 
There's no reason to do this, and I've always been of the opinion that you
generally shouldn't do this.

Otherwise, this package is fine.  Let's get this and perl-Config-Std done and
then I'll sponsor you.
Comment 8 Jason Tibbitts 2007-09-05 21:11:45 EDT
Hmm, no response in well over a month.  Setting NEEDINFO; I'll close this ticket
soon if there's no response.
Comment 9 David Fetter 2007-09-06 12:15:45 EDT
Created attachment 188891 [details]
cpanspec output without generated license code per request.
Comment 10 Jason Tibbitts 2007-09-22 01:40:50 EDT
Drat, I thought I had CC'd myself on this ticket but somehow I hadn't and missed
your response.  Plus it's still in NEEDINFO; I'm not sure why it didn't get set
back.  Perhaps you didn't check the "I am providing the requested info..."
checkbox, although I didn't think it was required.

I'll go ahead and review this (although most folks would ask you to cut a new
srpm).  But we still need to work out perl-Config-Std before I'm going to
sponsor you, and there's been no reply there in nearly two months.
Comment 11 Jason Tibbitts 2007-09-25 00:56:46 EDT
When using cpanspec, you need to look over the generated specfile and
specifically the License: tag and fill it in with the appropriate value based on
what the license statements you find in the code and documentation.

In this case, the documentation seems silent, but the code (CreditCard.pm, near
the top) says:

# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.

So the License: tag should contain "GPL+ or Artistic".

The license tag issue lears to the only rpmlint complaints:
   perl-Business-CreditCard.noarch: W: invalid-license CHECK
   perl-Business-CreditCard.noarch: W: invalid-license GPL
   perl-Business-CreditCard.noarch: W: invalid-license Artistic

That's the only issue I see, so just fix up the License: tag and I'll approve
this package.

* source files match upstream:
   1a052afd178419057dff025b8ea3ad003ab110bce270359d3af70ad18664e055  
   Business-CreditCard-0.30.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field is not correct.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has valid complaints
* final provides and requires are sane:
   perl(Business::CreditCard) = 0.30
   perl-Business-CreditCard = 0.30-3.fc8
  =
   perl >= 1:5
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(vars)
* %check is present and all tests pass:
   ok 1
   ok 2
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 12 David Fetter 2007-09-27 19:17:53 EDT
Created new .spec file with license fixed.  rpmlint no longer complains.

http://fetter.org/rpm/perl-Business-CreditCard.spec
http://fetter.org/rpm/perl-Business-CreditCard-0.30-4.fc7.src.rpm
Comment 13 Jason Tibbitts 2007-10-01 17:17:43 EDT
This one builds fine and rpmlint is clean.  The issues I had are fixed.

APPROVED

Go ahead and apply for sponsorship and I'll take care of it.
Comment 14 Jason Tibbitts 2007-10-01 18:59:34 EDT
I'm sponsoring you' there's no need for this ticket to block FE-NEEDSPONSOR.
Comment 15 Jason Tibbitts 2007-10-04 20:24:23 EDT
I'm afraid that I haven't seen your sponsorship request come across, and a
search didn't turn up a Fedora Account System ID that looks like it might be
you, even though on IRC you said you already had one.  Perhaps I just missed it;
what's your FAS ID?
Comment 16 Jason Tibbitts 2008-01-30 14:44:18 EST
So, it's been about four months now.  I'm going to go ahead and revoke
sponsorship and close these tickets, but if you actually want to do something
with these packages then please let me know.
Comment 17 Jason Tibbitts 2008-06-23 20:45:48 EDT

*** This bug has been marked as a duplicate of 452601 ***

Note You need to log in before you can comment on or make changes to this bug.